Table of Contents

## Name

Blt_TreeNodeId - Returns the node serial number.

## Synopsis

    #include <bltTree.h>

    unsigned int
    Blt_TreeNodeId(node)

## Arguments

Blt_TreeNode node`` `` (in)
`` `` Node whose ID is to be returned.

## Description

This procedure returns the node serial number. The node serial number is useful for programs that export the tree data object to the Tcl programming level. Since node labels (and therefore pathnames) are not unique, the ID can be used to uniquely identify a node.

The arguments are as follows:

node
  The node whose serial number is returned. The serial number of the root node for example is always 0.

## Returns

The serial number of the node. Nodes are given a unique serial number when they are created. You can use the ID to later retrieve the node using Blt_TreeGetNode.

## Example

The following example prints the ID of a node.
`printf("root ID is %s\n", Blt_TreeNodeId(node) );

##

`Keywords Tcl_TreeCreateNode, Tcl_TreeDeleteNode

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Returns
- Example
- Keywords